Going from XF v2.1.6 Patch 1 to xF 2.2.6 | PHP/MySql/MariaDB Question

Neutral Singh

Well-known member

PHP/MySql/MariaDB Question

Currently Running:
xF version : 2.1.6 Patch 1
PHP version : 7.3.9
MySQL version : 5.5.62 (5.5.62-cll)
CentOS : 7.6

Upgrading To:
xF version : 2.2.6
PHP version : 8.0
MariaDB version : 10.3
CentOS : 7.6

Should I foresee any issues?
Should I upgrade the xF version or upgrade the Server first?

Thank you
 

otto

Well-known member
MariaDB 10.3 works great with Xenforo 2.2.x and PHP 8.0.x to - but certain (older) addons can make trouble with php 8.0. Make a Test at a staging basis just bevore.
 

djbaxter

Well-known member

PHP/MySql/MariaDB Question

Currently Running:
xF version : 2.1.6 Patch 1
PHP version : 7.3.9
MySQL version : 5.5.62 (5.5.62-cll)
CentOS : 7.6

Upgrading To:
xF version : 2.2.6
PHP version : 8.0
MariaDB version : 10.3
CentOS : 7.6

Should I foresee any issues?

  1. You shouldn't have any issues with core Xenforo and the new configuration. It's identical to what I am running on three forums currently except we're using CentOS 7.9.
  2. Check for the compatibility between any addons you're using and PHP 8.0; you may have to upgrade some of those.
  3. Check ACP >> Server environment report and make sure you enable or install all the various options you are using for PHP 7.x in php 8.x
  4. Easiest instructions for installing Imagick with PHP 8.0 on CentOS 7.x are at https://www.xf2addons.com/threads/imagick-installation-instructions-for-php-8.960/
 
Last edited:

Neutral Singh

Well-known member
Quick update for anyone going this path:

I was able to upgrade my forums in no time!
Took the forum upgrade route first and then server...
Complete Backup of Files and Databases
Disabled all add-on
Renew & simply upgrade.


After upgrade:

Enabled add-ons one by one and identified which need updates.
Removed some widgets which need an update.
Had some template issues. So, created a new fresh style from default style, which I will be playing with in the coming days to suit my taste.

Up and running in no time!

Server side upgrades also done, absolutely no issues!

✅ PHP 8.x
✅ MariaDB 10.3
✅ Imagick installed

Awesome experience as always!
 
Top